Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 661662 - app-text/asciidoc python3 port
Summary: app-text/asciidoc python3 port
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 1 vote (vote)
Assignee: Marc Joliet
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2018-07-20 14:04 UTC by Markus
Modified: 2019-04-20 06:46 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus 2018-07-20 14:04:30 UTC
There is a port of asciidoc to run with python3.

https://www.asciidoc3.org/
https://gitlab.com/asciidoc3/asciidoc3
Comment 1 Carlo 2019-01-24 23:50:34 UTC
There is another fork, named asciidoc-py3.

As can be read in

https://github.com/asciidoc/asciidoc-py3/issues/11

this is the proper fork, rather than asciidoc3.
Comment 2 Marc Joliet 2019-01-26 18:43:25 UTC
Thanks for pointing that out, I'll look into adding support for asciidoc-py3 in the coming weeks.
Comment 3 Kalin KOZHUHAROV 2019-04-04 20:47:57 UTC
While it still has no releases, asciidoc-py3 seems to be a drop-in replacement (iterface-wise) and it should work (tm) as an easy replacement.

Has anyone actually tried an ebuild? It is one of the last python2-only deps around and now that python3_4 is gone, I'd be happier if only python3_6 is present (for a while) in my systems.
Comment 4 Marc Joliet 2019-04-04 21:21:35 UTC
(In reply to Kalin KOZHUHAROV from comment #3)
> Has anyone actually tried an ebuild?
I'm working on it.  Sorry it's taking longer than expected, I'm pretty busy at the moment.  (I do have a live ebuild, but have been having unexpected trouble getting a proper test environment ready, so it's untested.)
Comment 5 Kalin KOZHUHAROV 2019-04-04 21:31:38 UTC
(In reply to Marc Joliet from comment #4)
> I'm working on it.  Sorry it's taking longer than expected, I'm pretty busy
> at the moment.  (I do have a live ebuild, but have been having unexpected
> trouble getting a proper test environment ready, so it's untested.)
>
A link to it would be good, I can have a look an at least test it in my systems and provide feedback.
Comment 6 Marc Joliet 2019-04-05 08:29:30 UTC
Coincidentally, I got my container to work shortly before bedtime, so I now know that at least the tests pass.  I'll add the snapshot ebuild next and open a PR to finally get this in the tree :-) .

(In reply to Kalin KOZHUHAROV from comment #5)
> (In reply to Marc Joliet from comment #4)
> > I'm working on it.  Sorry it's taking longer than expected, I'm pretty busy
> > at the moment.  (I do have a live ebuild, but have been having unexpected
> > trouble getting a proper test environment ready, so it's untested.)
> >
> A link to it would be good, I can have a look an at least test it in my
> systems and provide feedback.
I'll push what I have to GitHub when I'm home tonight (and after I've done my training).
Comment 7 Larry the Git Cow gentoo-dev 2019-04-20 06:46:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eeef837c0a177d8e42e754b2f29b8d29c351da05

commit eeef837c0a177d8e42e754b2f29b8d29c351da05
Author:     Marc Joliet <marcec@gmx.de>
AuthorDate: 2019-04-05 17:41:26 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-04-20 06:46:08 +0000

    app-text/asciidoc-8.6.10_p20181016: new snapshot
    
    Add a new snapshot ebuild based on the latest commit of Asciidoc-Py3.
    Also add dev-libs/libxml2 to $RDEPEND because a2x uses xmllint directly,
    as recommended by Mart Raudsepp in Gentoo bug #671668.
    
    Closes: https://bugs.gentoo.org/661662
    Package-Manager: Portage-2.3.62, Repoman-2.3.11
    Signed-off-by: Marc Joliet <marcec@gmx.de>
    Closes: https://github.com/gentoo/gentoo/pull/11602
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 app-text/asciidoc/Manifest                         |  1 +
 app-text/asciidoc/asciidoc-8.6.10_p20181016.ebuild | 92 ++++++++++++++++++++++
 2 files changed, 93 insertions(+)